net.sf.statsvn.util

## Class SilentLogger

- java.lang.Object
- - net.sf.statsvn.util.SilentLogger

All Implemented Interfaces:
  TaskLogger

    public class SilentLogger
    extends java.lang.Object
    implements TaskLogger

Basic implementation to nothingness.

Version:
  $Revision$
Author:
  Benoit Xhenseval

### Constructor Summary

Constructors
Constructor and Description
`SilentLogger()`

### Method Summary

Methods
`void` `error(java.lang.String arg)` Generic interface for logging error.
`void` `info(java.lang.String arg)` Generic interface for logging info.
`void` `log(java.lang.String text)` log text to the System.out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SilentLogger

    public SilentLogger()

### Method Detail

#### log

    public final void log(java.lang.String text)

log text to the System.out.

Specified by:
  `log` in interface `TaskLogger`
Parameters:
  `text` - the text to log.

#### error

    public void error(java.lang.String arg)

Description copied from interface: `TaskLogger`
Generic interface for logging error.

Specified by:
  `error` in interface `TaskLogger`
Parameters:
  `arg` - the string to log.

#### info

    public void info(java.lang.String arg)

Description copied from interface: `TaskLogger`
Generic interface for logging info.

Specified by:
  `info` in interface `TaskLogger`
Parameters:
  `arg` - the string to log.